using System;

namespace CommonUI
{
	/// <summary>
	/// Summary description for MergedColumnHeader.
	/// </summary>
	public class MergedColumnHeader
	{
		private GridColumn gridColumn1;
		private GridColumn gridColumn2;
		private int width;

		public MergedColumnHeader(
			GridColumn gridColumn1, GridColumn gridColumn2, int width) {
			//DBC.CheckPre("gridColumn1 cannot be null", gridColumn1 != null);
			//DBC.CheckPre("gridColumn2 cannot be null", gridColumn2 != null);
			//DBC.CheckPre("gridColumn1 and gridColumn2 must be different refs", gridColumn1 != gridColumn2);

			this.gridColumn1 = gridColumn1;
			this.gridColumn2 = gridColumn2;
			this.width = width;
		}

		public GridColumn GridColumn1 {
			get { return gridColumn1; }
		}

		public GridColumn GridColumn2 {
			get { return gridColumn2; }
		}

		public string Caption {
			get { return gridColumn1.Caption; }
		}

		public int Width {
			get { return width; }
		}
	}
}
